﻿@model parcialMañanaProg3.ViewModels.SocioVM

@{
    ViewBag.Title = "Alta de nueva persona";
    //List<SelectListItem> items = (List<SelectListItem>)ViewBag.items;
}

<div class="row">
    <div class="col-sm-12">
        <div>
            <h4>Alta de nuevo Socio</h4>
        </div>
    </div>
</div>
@using (Html.BeginForm())
{
    <div class="row">
        <div class="col-lg-6">
            <div class="form-horizontal">
                <div class="form-group">
                    <label class="col-sm-6 control-label">Nombre</label>
                    <div class="col-sm-6">
                        @Html.TextBoxFor(model => model.socioModel.nombre, htmlAttributes: new { @class = "form-control", @id = "txtNombre" })
                        @Html.ValidationMessageFor(model => model.socioModel.nombre, "", new { @class = "text-danger" })
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-6 control-label">Apellido</label>
                    <div class="col-sm-6">
                        @Html.TextBoxFor(model => model.socioModel.apellido, htmlAttributes: new { @class = "form-control", @id = "txtApellido" })
                        @Html.ValidationMessageFor(model => model.socioModel.apellido, "", new { @class = "text-danger" })

                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-6 control-label">Tipo de Documento</label>
                    <div class="col-sm-6">
                        @Html.DropDownListFor(model => model.socioModel.idTipoDocumento, new SelectList(Model.tipoDocumentoSocio, "id", "nombre"), "Seleccione el tipo de documento", htmlAttributes: new { @class = "form-control" })
                        @Html.ValidationMessageFor(model => model.socioModel.idTipoDocumento, "", new { @class = "text-danger" })
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-6 control-label">Edad</label>
                    <div class="col-sm-6">
                        @Html.TextBoxFor(model => model.socioModel.nroDocumento, htmlAttributes: new { @class = "form-control", @id = "txtNroDocumento" })
                        @Html.ValidationMessageFor(model => model.socioModel.nroDocumento, "", new { @class = "text-danger" })

                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-6 control-label">Deporte</label>
                    <div class="col-sm-6">
                        @Html.DropDownListFor(model => model.socioModel.idDeporte, new SelectList(Model.deporte, "id", "nombre"), "Seleccione el deporte", htmlAttributes: new { @class = "form-control" })
                        @Html.ValidationMessageFor(model => model.socioModel.idDeporte, "", new { @class = "text-danger" })

                    </div>
                </div>
                <div class="form-group text-right">
                    <div class="col-xs-12">
                        <button class="btn btn-primary" type="submit">Guardar Socio</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
}
